import { EditorProps, Language, PrismEditor } from './types';

/**
 * The core editor component of the library.
 * @param props Props to customize some of the appearance and behavior of the editor.
 */
declare const Editor: import('react').MemoExoticComponent<import('react').ForwardRefExoticComponent<EditorProps & import('react').RefAttributes<PrismEditor>>>;
/** Object storing all language specific behavior. */
declare const languageMap: Record<string, Language>;
declare const preventDefault: (e: Event) => void;
declare const addTextareaListener: <T extends keyof HTMLElementEventMap>(editor: PrismEditor, type: T, listener: (this: HTMLTextAreaElement, ev: HTMLElementEventMap[T]) => any, options?: boolean | AddEventListenerOptions) => () => void | undefined;
/**
 * Counts number of lines in the string between `start` and `end`.
 * If start and end are excluded, the whole string is searched.
 */
declare const numLines: (str: string, start?: number, end?: number) => number;
declare let selectionChange: null | ((force?: true) => void);
export { Editor, addTextareaListener, preventDefault, languageMap, selectionChange, numLines, };
