"use client";
import { useLayoutEffect } from "react";
import { g as getStyleValue } from "../other-EdiSn7BB.js";
const useOverscroll = (editor) => {
  useLayoutEffect(() => {
    if (window.ResizeObserver) {
      const observer = new ResizeObserver(() => {
        const wrapper = editor.wrapper;
        wrapper.style.paddingBottom = `${editor.container.clientHeight - getStyleValue(wrapper, "marginBottom") - getStyleValue(wrapper, "lineHeight")}px`;
      });
      const observe = () => observer.observe(editor.container);
      let cleanup;
      if (editor.lines) {
        observe();
      } else {
        cleanup = editor.on("update", () => {
          observe();
          cleanup();
        });
      }
      return () => {
        if (cleanup)
          cleanup();
        observer.disconnect();
      };
    }
  }, []);
};
export {
  useOverscroll
};
//# sourceMappingURL=overscroll.js.map
