import { PrismEditor } from './types';

/**
 * Component adding the following extensions:
 * - {@link useBracketMatcher}
 * - {@link useHightlightBracketPairs}
 * - {@link useTagMatcher}
 * - {@link useHighlightMatchingTags}
 * - {@link useDefaultCommands}
 * - {@link useEditHistory}
 * - {@link useSearchWidget}
 * - {@link useHighlightSelectionMatches}
 * - {@link useCursorPosition}
 * - {@link IndentGuides}
 *
 * Requires styling from `react-prism-editor/search.css` for the search widget
 */
declare const BasicSetup: ({ editor }: {
    editor: PrismEditor;
}) => import("react/jsx-runtime").JSX.Element;
/**
 * Component adding the following extensions:
 * - {@link useBracketMatcher}
 * - {@link useHightlightBracketPairs}
 * - {@link useTagMatcher}
 * - {@link useHighlightMatchingTags}
 * - {@link useHighlightSelectionMatches}
 * - {@link IndentGuides}
 * - {@link useCopyButton}
 * - {@link useReadOnlyCodeFolding} with {@link blockCommentFolding} and {@link markdownFolding}
 *
 * Intended to be used with read-only editors.
 *
 * Requires styling from `react-prism-editor/copy-button.css` for the copy button
 * and from `react-prism-editor/folding.css` for the code folding.
 */
declare const ReadOnlySetup: ({ editor }: {
    editor: PrismEditor;
}) => import("react/jsx-runtime").JSX.Element;
export { BasicSetup, ReadOnlySetup };
