"use client";
import { jsx } from "react/jsx-runtime";
import { useDefaultCommands, useEditHistory } from "./extensions/commands.js";
import { useCursorPosition } from "./extensions/cursor.js";
import { IndentGuides } from "./extensions/guides.js";
import { useBracketMatcher } from "./extensions/match-brackets/index.js";
import { useHightlightBracketPairs } from "./extensions/match-brackets/highlight.js";
import { useTagMatcher, useHighlightMatchingTags } from "./extensions/match-tags.js";
import { b as useSearchWidget, c as useHighlightSelectionMatches } from "./selection-C7vs8aTI.js";
import { useReadOnlyCodeFolding, markdownFolding, blockCommentFolding } from "./extensions/folding/index.js";
import { useCopyButton } from "./extensions/copy-button/index.js";
const BasicSetup = ({ editor }) => {
  useBracketMatcher(editor);
  useHightlightBracketPairs(editor);
  useTagMatcher(editor);
  useHighlightMatchingTags(editor);
  useDefaultCommands(editor);
  useEditHistory(editor);
  useSearchWidget(editor);
  useHighlightSelectionMatches(editor);
  useCursorPosition(editor);
  return /* @__PURE__ */ jsx(IndentGuides, { editor });
};
const ReadOnlySetup = ({ editor }) => {
  useBracketMatcher(editor);
  useHightlightBracketPairs(editor);
  useTagMatcher(editor);
  useHighlightMatchingTags(editor);
  useHighlightSelectionMatches(editor);
  useCopyButton(editor);
  useReadOnlyCodeFolding(editor, blockCommentFolding, markdownFolding);
  return /* @__PURE__ */ jsx(IndentGuides, { editor });
};
export {
  BasicSetup,
  ReadOnlySetup
};
//# sourceMappingURL=setups.js.map
