"use client";
import { useMemo, useCallback, useLayoutEffect } from "react";
import { f as createTemplate } from "./index-cQWT8Bdc.js";
import { createPortal } from "react-dom";
const template = createTemplate(
  "<div class=pce-tooltip style=z-index:5;top:auto;display:flex;overflow-x:clip><div>"
);
const show = (editor, container, spacerStyle, above) => {
  let cursor = editor.extensions.cursor;
  if (cursor) {
    let { left, right, top, bottom, height } = cursor.getPosition();
    container.parentNode || editor.lines[0].append(container);
    spacerStyle.width = (editor.props.rtl ? right : left) + "px";
    let placeAbove = !above == top > bottom && (above ? top : bottom) < container.clientHeight ? !above : above;
    container.style[placeAbove ? "bottom" : "top"] = height + (placeAbove ? bottom : top) + "px";
    container.style[placeAbove ? "top" : "bottom"] = "auto";
  }
};
const useReactTooltip = (editor, element, fixedWidth = true) => {
  const container = useMemo(template, []);
  const spacerStyle = container.firstChild.style;
  spacerStyle.flexShrink = fixedWidth ? "" : "0";
  return [
    useCallback(show.bind(editor, editor, container, spacerStyle), []),
    useCallback(() => container.remove(), []),
    createPortal(element, container)
  ];
};
const useTooltip = (editor, element, fixedWidth = true) => {
  const container = useMemo(template, []);
  const spacerStyle = container.firstChild.style;
  useLayoutEffect(() => {
    container.append(element);
    return () => element.remove();
  }, [element]);
  spacerStyle.flexShrink = fixedWidth ? "" : "0";
  element.style.flexShrink = fixedWidth ? "0" : "";
  return [
    useCallback(show.bind(editor, editor, container, spacerStyle), []),
    useCallback(() => container.remove(), [])
  ];
};
export {
  useReactTooltip,
  useTooltip
};
//# sourceMappingURL=tooltips.js.map
